ZF-8346: Infocard Tests don't check for required extension

Description

26) Zend_InfoCard_ProcessTest::testCertificatePairs Zend_InfoCard_Exception: Use of the Zend_InfoCard component requires the openssl extension to be enabled in PHP

/home/benny/code/php/wsnetbeans/zftrunk/library/Zend/InfoCard.php:112 /home/benny/code/php/wsnetbeans/zftrunk/tests/Zend/InfoCard/ProcessTest.php:83

27) Zend_InfoCard_ProcessTest::testStandAloneProcess Zend_InfoCard_Exception: Use of the Zend_InfoCard component requires the openssl extension to be enabled in PHP

/home/benny/code/php/wsnetbeans/zftrunk/library/Zend/InfoCard.php:112 /home/benny/code/php/wsnetbeans/zftrunk/tests/Zend/InfoCard/ProcessTest.php:152

28) Zend_InfoCard_ProcessTest::testPlugins Zend_InfoCard_Exception: Use of the Zend_InfoCard component requires the openssl extension to be enabled in PHP

/home/benny/code/php/wsnetbeans/zftrunk/library/Zend/InfoCard.php:112 /home/benny/code/php/wsnetbeans/zftrunk/tests/Zend/InfoCard/ProcessTest.php:178

29) Zend_InfoCard_ProcessTest::testClaims Zend_InfoCard_Exception: Use of the Zend_InfoCard component requires the openssl extension to be enabled in PHP

/home/benny/code/php/wsnetbeans/zftrunk/library/Zend/InfoCard.php:112 /home/benny/code/php/wsnetbeans/zftrunk/tests/Zend/InfoCard/ProcessTest.php:219

30) Zend_InfoCard_CipherTest::testCipherFactory Zend_InfoCard_Cipher_Exception: Use of this PKI RSA Adapter requires the openssl extension loaded

/home/benny/code/php/wsnetbeans/zftrunk/library/Zend/InfoCard/Cipher/Pki/Adapter/Rsa.php:59 /home/benny/code/php/wsnetbeans/zftrunk/library/Zend/InfoCard/Cipher.php:91 /home/benny/code/php/wsnetbeans/zftrunk/tests/Zend/InfoCard/CipherTest.php:107

Comments

Fixed for next minor release